Subject: Re: [MEXT] multiple coa draft 11

From: Christian Kaas-Petersen <[email-masked]>
Date: Tue, 10 Mar 2009 14:03:18 +0000 (GMT)

I support the idea of introducing such a new status value.

Christian 

--- Den tirs 10/3/09 skrev George Tsirtsis <[email-masked]>:

> Fra: George Tsirtsis <[email-masked]>
> Emne: Re: [MEXT] multiple coa draft 11
> Til: "Christian Kaas-Petersen" <[email-masked]>
> Cc: "Hesham Soliman" <[email-masked]>, "Ryuji Wakikawa" <[email-masked]>, [email-masked]
> Dato: tirsdag 10. marts 2009 11.50
> I think you captured this correctly,
> although we could consider adding
> a more specific error code for this...e.g., "CoA already
> bound to
> BID", which could also return the BID the CoA is bound
> to..
> In this situation the MN going against the SHOULD NOT, will
> typically
> result in reception of an error from the HA, unless this
> has been done
> in concert with an HA implementation that also goes against
> the SHOULD
> NOT.
> 
> George
> 
> On Tue, Mar 10, 2009 at 8:05 AM, Christian Kaas-Petersen
> <[email-masked]>
> wrote:
> >
> > I understand the SHOULD NOT to mean to the following:
> >
> > 1) The motivation for SHOULD NOT:  No known use
> case.
> >
> > 2) Implementation of SHOULD NOT in mobile node: If I
> am implementer of
> >   mobile node software, and I want this software to
> interoperate with
> >   other vendors' home agents, then I should develop
> software on the
> >   assumption of a one-to-one mapping between BIDs and
> CoAs.
> >
> > 3) Implementation of SHOULD NOT in home agent: If I am
> implementer of
> >   home agent software, I should make a decision
> whether the accept
> >   or reject multiple BIDs per CoA.  No matter the
> decision, the
> >   home agent complies with the Multiple CoA
> specification.  If I
> >   decide to reject a second BID mapping to a CoA, I
> could use
> >   status value MCOA MALFORMED in the binding
> acknowledgement.
> >
> > Is this understanding correct?
> >
> > Christian
> >
> >
> > --- Den søn 8/3/09 skrev Ryuji Wakikawa <[email-masked]>:
> >
> >> Fra: Ryuji Wakikawa <[email-masked]>
> >> Emne: Re: [MEXT] multiple coa draft 11
> >> Til: "Hesham Soliman" <[email-masked]>
> >> Cc: "Christian Kaas-Petersen" <[email-masked]>,
> "George Tsirtsis" <[email-masked]>,
> [email-masked]
> >> Dato: søndag 8. marts 2009 20.15
> >> Hi Hesham, George, Christian,
> >>
> >> Gerardo gives an example use case when MCoA is run
> with
> >> flow binding.
> >> However, I agree the spec should not be vague.
> >>
> >> As George suggested, I will add some texts saying
> multiple
> >> BID SHOULD NOT be assigned to a same CoA.
> >> I don't see any interoperability issue, SHOULD NOT
> is ok.
> >> If the Gerardo's use case is real (I think it is),
> you can
> >> overwrite the MCoA in the flow binding draft.
> >>
> >> regards,
> >> ryuji
> >>
> >>
> >> On 2009/03/06, at 22:29, Hesham Soliman wrote:
> >>
> >> > FWIW, I can't think of any reason why the MN
> would
> >> want to assign two BIDs
> >> > to the same CoA. I've commented on this
> before and
> >> don't know how it was
> >> > handled in the draft. I can understand how
> muliple
> >> FIDs can be assigned to
> >> > one BID (or CoA) but I can't think of any
> reason for
> >> assigning multiple BIDs
> >> > to the same CoA. It's at minimum confusing
> and can
> >> cause problems with
> >> > implementations. If there is no need for it,
> why would
> >> the spec be vague or
> >> > even allow it?
> >> >
> >> > Hesham
> >> >
> >> >
> >
> >
> >
> >    
>  ________________________________________________________
> > Audi, Fiat, Peugeot, Skoda, Porsche, Toyota, Ford -
> Kelkoo har brugte biler til en hver smag! Klik her for at
> sammenligne priser.(http://dk.yahoo.com/r/pat/mmb)
> >
> 

      Find din nye laptop på kelkoo.dk. Se de gode tilbud her - http://dk.yahoo.com/r/pat/mm